diff --git a/web/pgadmin/browser/templates/browser/js/collection.js b/web/pgadmin/browser/templates/browser/js/collection.js
index 96c49fc..d26daa1 100644
--- a/web/pgadmin/browser/templates/browser/js/collection.js
+++ b/web/pgadmin/browser/templates/browser/js/collection.js
@@ -84,7 +84,15 @@ function($, _, S, pgAdmin, Backbone, Alertify, Backform) {
       j.append(content);
 
       // Fetch Data
-      collections.fetch({reset: true});
+      collections.fetch({reset: true})
+      .error(function(jqxhr, error, message) {
+          Alertify.pgNotifier(
+            error, jqxhr,
+            S(
+              "{{ _("Error fetching the properties - %%s!") }}"
+              ).sprintf(message).value()
+            );
+        });
     },
     generate_url: function(type, d) {
       var url = pgAdmin.Browser.URL + '{TYPE}/{REDIRECT}{REF}',
